플랜 분석
최적화 적용
필요한 권한: plans:write + finances:write
POST
/
v1
/
plans
/
{id}
/
optimize
/
apply
최적화 적용
curl --request POST \
--url https://api.morrowly.app/v1/plans/{id}/optimize/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"finances": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
]
},
"financesRevision": "<string>",
"plan": {
"assumptions": {
"capLoans": true,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": true,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": true
}
],
"dividendYield": 123,
"harvestGains": true,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": true,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>"
},
"items": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
},
"loan": {
"annualRate": 123,
"principal": 123,
"termMonths": 123
},
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"monteCarlo": {
"almostYears": 123,
"comfortable": 123,
"excellent": 123,
"fair": 123,
"good": 123,
"homeRisk": true,
"runs": 123,
"seed": 123,
"surplus": 123,
"volatility": 123
},
"months": 123,
"name": "<string>",
"off": [
"<string>"
],
"revision": "<string>"
}
}
'import requests
url = "https://api.morrowly.app/v1/plans/{id}/optimize/apply"
payload = {
"finances": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": True,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
]
},
"financesRevision": "<string>",
"plan": {
"assumptions": {
"capLoans": True,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": True,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": True
}
],
"dividendYield": 123,
"harvestGains": True,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": True,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>"
},
"items": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
},
"loan": {
"annualRate": 123,
"principal": 123,
"termMonths": 123
},
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"monteCarlo": {
"almostYears": 123,
"comfortable": 123,
"excellent": 123,
"fair": 123,
"good": 123,
"homeRisk": True,
"runs": 123,
"seed": 123,
"surplus": 123,
"volatility": 123
},
"months": 123,
"name": "<string>",
"off": ["<string>"],
"revision": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
finances: {
assets: [
{
acquiredAt: '<string>',
acquisitionPrice: 123,
annualRate: 123,
dividendYield: 123,
id: '<string>',
monthlyContribution: 123,
name: '<string>',
payoutStartAge: 123,
payoutYears: 123,
region: '<string>',
serviceYears: 123,
value: 123
}
],
birthMonth: '<string>',
cash: 123,
cashFlows: [
{
annualGrowth: 123,
end: '<string>',
expenseRate: 123,
id: '<string>',
monthlyAmount: 123,
name: '<string>',
start: '<string>'
}
],
dependents: [{birthMonth: '<string>', id: '<string>', name: '<string>'}],
liabilities: [
{
annualRate: 123,
id: '<string>',
interestDeduction: true,
name: '<string>',
principal: 123,
remainingMonths: 123
}
]
},
financesRevision: '<string>',
plan: {
assumptions: {
capLoans: true,
cashFloor: 123,
cashReturn: 123,
childDependent: true,
contributions: [
{
assetId: '<string>',
monthlyAmount: 123,
until: '<string>',
untilRetirement: true
}
],
dividendYield: 123,
harvestGains: true,
incomeGrowth: 123,
inflation: 123,
investmentReturn: 123,
prepayDebt: true,
realEstateGrowth: 123,
safeWithdrawalRate: 123,
surplusTargetAssetId: '<string>'
},
items: [
{
id: '<string>',
kind: '<string>',
name: '<string>',
annualRate: 123,
cost: 123,
end: {age: 123, milestone: '<string>', month: '<string>', offset: 123},
loan: {annualRate: 123, principal: 123, termMonths: 123},
price: 123,
saleCost: 123,
start: {age: 123, milestone: '<string>', month: '<string>', offset: 123}
}
],
milestones: [
{
id: '<string>',
name: '<string>',
time: {age: 123, milestone: '<string>', month: '<string>', offset: 123}
}
],
monteCarlo: {
almostYears: 123,
comfortable: 123,
excellent: 123,
fair: 123,
good: 123,
homeRisk: true,
runs: 123,
seed: 123,
surplus: 123,
volatility: 123
},
months: 123,
name: '<string>',
off: ['<string>'],
revision: '<string>'
}
})
};
fetch('https://api.morrowly.app/v1/plans/{id}/optimize/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"finances": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"investmentTax": "DOMESTIC_STOCK",
"monthlyContribution": 123,
"name": "<string>",
"owner": "SELF",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"type": "INVESTMENT",
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseKind": "RENT",
"expenseRate": 123,
"id": "<string>",
"incomeKind": "NET",
"monthlyAmount": 123,
"name": "<string>",
"owner": "SELF",
"start": "<string>",
"type": "INCOME"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"kind": "SPOUSE",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"owner": "SELF",
"principal": 123,
"remainingMonths": 123,
"repayment": "ANNUITY"
}
]
},
"financesRevision": "<string>",
"plan": {
"assumptions": {
"capLoans": true,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": true,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": true
}
],
"dividendYield": 123,
"harvestGains": true,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": true,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>",
"withdrawalOrder": "PROPORTIONAL"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"assetType": "INVESTMENT",
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
},
"loan": {
"annualRate": 123,
"owner": "SELF",
"policyLoan": "DIDIMDOL",
"principal": 123,
"repayment": "ANNUITY",
"termMonths": 123
},
"owner": "SELF",
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
],
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
],
"monteCarlo": {
"almostYears": 123,
"comfortable": 123,
"distribution": "LOGNORMAL",
"excellent": 123,
"fair": 123,
"good": 123,
"homeRisk": true,
"market": "SP500",
"runs": 123,
"seed": 123,
"surplus": 123,
"volatility": 123
},
"months": 123,
"name": "<string>",
"off": [
"<string>"
],
"revision": "<string>",
"startMonth": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
최적화 적용
